Unable to install AWS Elastic Beanstalk CLI (Win10, Python 3.6, Pip 9.0.1)

I am trying to install awsebcli on my machine and I am unable to run the command

eb --version

It shows this error:

'eb' is not recognized as an internal or external command,

operable program or batch file.

This is my Python version:

C:\>python --version
Python 3.6.0

This is my pip version:

C:\>pip --version
pip 9.0.1 from c:\users\amirs\appdata\local\programs\python\python36\lib\site-packages (python 3.6)

When I ran this command pip install --upgrade --user awsebcli to install awsebcli it successfully installed it.

Here are my environment variables for PATH: enter image description here

Answers 1

  • I figured out the issue. It looks like I needed to add this to my environment variables:

    %USERPROFILE%\AppData\Local\Programs\Python\Python36\Scripts
    

    Even though it had the other C:\Users\amirs\... path as well.


Related Articles